Skip to main content
POST
/
networkvolumes
Create a new network volume
curl --request POST \
  --url https://rest.runpod.io/v1/networkvolumes \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "dataCenterId": "EU-RO-1",
  "name": "my network volume",
  "size": 50
}
'
import requests

url = "https://rest.runpod.io/v1/networkvolumes"

payload = {
    "dataCenterId": "EU-RO-1",
    "name": "my network volume",
    "size": 50
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({dataCenterId: 'EU-RO-1', name: 'my network volume', size: 50})
};

fetch('https://rest.runpod.io/v1/networkvolumes', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "dataCenterId": "EU-RO-1",
  "id": "agv6w2qcg7",
  "name": "my network volume",
  "size": 50
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Create a new network volume.

dataCenterId
string
required

The Runpod data center ID where the created network volume is located.

Example:

"EU-RO-1"

name
string
required

A user-defined name for the created network volume. The name does not need to be unique.

Example:

"my network volume"

size
integer
required

The amount of disk space, in gigabytes (GB), allocated to the created network volume.

Required range: 0 <= x <= 4000
Example:

50

Response

Successful operation.

dataCenterId
string

The Runpod data center ID where a network volume is located.

Example:

"EU-RO-1"

id
string

A unique string identifying a network volume.

Example:

"agv6w2qcg7"

name
string

A user-defined name for a network volume. The name does not need to be unique.

Example:

"my network volume"

size
integer

The amount of disk space, in gigabytes (GB), allocated to a network volume.

Example:

50